Subject: bug#76955: 30.1; php-ts-mode-php-executable default path may not match remote path

From: Eli Zaretskii <[email-masked]>
Date: Tue, 18 Mar 2025 18:58:18 +0200

> From: Morgan Willcock <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Tue, 18 Mar 2025 16:00:57 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> If I have two remote versions installed, and one of them is found by
> >> executable-find searching for "php", I cannot see how I would select the
> >> other version once the patch is applied.
> >
> > How do you do this with the current version of php-ts-mode?
> 
> Since the value of php-ts-mode-php-executable is used locally and
> remotely, I just set the buffer local value to the correct name.

So each time you have a connection to a new host, you do this setting
anew?

> >>   (executable-find php-program t)
> >> 
> >> where php-program defaults to being "php".
> >
> > It's possible to add this, but it would be a separate feature.
> 
> The variable php-ts-mode-php-executable is effectively already providing
> this feature, but the suggested change appears to remove it.

Yes, because this feature is not really provided, not in the general
case, and we already agreed to stop arguing about it.

So let's install the latest change, and then let's add the php-program
option, which will make the support cleaner and more reliable.